Subject: Re: [RFC] Add IBM Blue Gene/Q Platform

From: Michael Neuling <[email-masked]>
Date: Mon, 10 Dec 2012 11:12:50 +1100

Jimi Xenidis <[email-masked]> wrote:

> 
> On Dec 6, 2012, at 11:41 PM, Michael Neuling <[email-masked]> wrote:
> 
> >> commit f6e3c1f706cb6922349d639a74ff6c50acc8b9f8
> >> Author: Jimi Xenidis <[email-masked]>
> >> Date:   Wed Dec 5 13:41:25 2012 -0500
> >> 
> >>    powerpc: Remove unecessary VSX symbols
> >> 
> >>    The symbol THREAD_VSR0 is defined to be the same as THREAD_FPR0.  Its
> >>    presence causes build issues with more complex configurations.
> >> 
> >>    Signed-off-by: Jimi Xenidis <[email-masked]>
> >> 
> > 
> > Can you explain what these "complex configurations" are?
> 
> In an earlier email we discussed the possibility that there was the
> possibility/desire that a single binary could support either FPU, VSX
> and the new QPX.  However, if a CONFIG_VSX is not defined then
> THREAD_VSR0 does not get defined even though there might be some code
> that refers to it.  Since it is an alias for the same piece of storage
> I was hoping to solve my config issue and be simplify the code.

Yep, I remember the conversation.  I just want that explanation in the
commit log so others know *why* it was changed.

Mikey